summaryrefslogtreecommitdiffstats
path: root/client/shared/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'client/shared/scripts')
-rwxr-xr-xclient/shared/scripts/deployImage5
-rwxr-xr-xclient/shared/scripts/restoreImage5
2 files changed, 10 insertions, 0 deletions
diff --git a/client/shared/scripts/deployImage b/client/shared/scripts/deployImage
index d74d3ac2..e34c908f 100755
--- a/client/shared/scripts/deployImage
+++ b/client/shared/scripts/deployImage
@@ -121,6 +121,9 @@ case "$MODE" in
UNICAST-DIRECT)
NEXTOPERATION=UNICAST
;;
+ TIPTORRENT)
+ NEXTOPERATION=TIPTORRENT
+ ;;
# Si protocolo es torrent|torrent-cache o multicast|multicast-cache
TORRENT|TORRENT-CACHE|MULTICAST|MULTICAST-CACHE|UNICAST|UNICAST-CACHE)
@@ -198,6 +201,8 @@ case "$NEXTOPERATION" in
PARAMS="CACHE $IMGNAME $DISK $PART" ;;
UNICAST)
PARAMS="$REPO $IMGNAME $DISK $PART" ;;
+ TIPTORRENT)
+ PARAMS="$REPO $IMGNAME $DISK $PART TIPTORRENT" ;;
MULTICAST)
PARAMS="$REPO $IMGNAME $DISK $PART $PROTO $PROTOOPT" ;;
esac
diff --git a/client/shared/scripts/restoreImage b/client/shared/scripts/restoreImage
index d9e7f584..537bcbb9 100755
--- a/client/shared/scripts/restoreImage
+++ b/client/shared/scripts/restoreImage
@@ -77,6 +77,11 @@ fi
# Procesar protocolos de transferencia.
case "$PROTO" in
+ TIPTORRENT)
+ ogEcho log session "[40] ogRestoreImage $REPO $IMGNAME $DISK $PART true"
+ ogExecAndLog command ogRestoreImage "$REPO" "$IMGNAME" "$DISK" "$PART" true
+ RETVAL=$?
+ ;;
UNICAST|UNICAST-DIRECT)
# Restaurar la imagen.
ogEcho log session "[40] ogRestoreImage $REPO $IMGNAME $DISK $PART UNICAST"